Ticket #171 (closed bug: fixed)

Opened 12 years ago

Last modified 12 years ago

Scons does not check for python module dbus.mainloop.qt

Reported by: kooox Assigned to: arnonym
Priority: major Milestone: FFADO 2.0
Component: Version: FFADO SVN (trunk)
Keywords: Cc:
The device the bug applies to:

Description

Scons does not check for the presence of the python module dbus.mainloop.qt. On my debian 64studio lenny setup, I had to install the python-qt4-dbus package to get ffadomixer to start.

Change History

10/26/08 15:32:31 changed by ppalmers

We'll have to check how this can be done.

11/14/08 14:33:53 changed by arnonym

  • status changed from new to closed.
  • resolution set to fixed.

(In [1428]) Fix #171: Correctly search for python-modules with hierarchy (bla.blub.X). And search for dbus.mainloop.qt...

11/22/08 10:58:15 changed by sobukus

There's trouble with the check on Source Mage GNU/Linux. I don't know exactly why, but the check fails while the module is there and in python

import dbus.mainloop.qt

works just fine. Something seems to be different in the installation of the python module on this distro, but since things work in the real world and just the check doesn't, it may be too harsh to call the distro setup "broken".

On IRC it has been suggested to make the check less sophisticated; spawning an external python for importing the module or such...

11/22/08 12:50:37 changed by arnonym

  • status changed from closed to reopened.
  • resolution deleted.

seems as if this is on my todo list again...

11/22/08 12:50:52 changed by arnonym

  • owner set to arnonym.
  • status changed from reopened to new.

11/23/08 08:48:03 changed by arnonym

  • status changed from new to closed.
  • resolution set to fixed.

should be fixed by r1476

will forward port to trunk shortly.